# norootforbuild

%if 0%{?suse_version} < 1030
%define _prefix		/opt/gnome
%endif

Name:       xvidcap
Version:    1.1.7
Release:    5.2
Summary:    A small tool to capture things going on on an X-Windows display
URL:        http://xvidcap.sourceforge.net/
Group:      Productivity/Graphics/Viewers
License:    GPL

Source0:    http://prdownloads.sourceforge.net/xvidcap/%{name}-%{version}.tar.gz
Source1:    xvidcap.desktop
Patch0:     xvidcap-1.1.6-docdir.patch

BuildRoot:  %{_tmppath}/build-%{name}-%{version}

BuildRequires: gtk2-devel libmp3lame-devel libglade2-devel perl-XML-Parser pkgconfig scrollkeeper update-desktop-files


%description
Xvidcap is a tool that can capture movement on an X11 display. It works in two distinct modes:
It can capture to single frames (like a number of jpeg images) or it can encode the captured frames to a video on-line.

It is intended to be a standards-based alternative to tools like Lotus ScreenCam for UNIX platforms.
On-line encoding is done through FFMPEG and also allows for audio grabbing on OSS compatible systems.

Author: Karl H. Beckers


%debug_package


%prep
%setup -q -n %{name}-%{version}
%patch0 -p 1


%build
export LDFLAGS="-L/usr/X11R6/%{_lib}"
%configure --with-forced-embedded-ffmpeg
%__make  %{?jobs:-j%{jobs}}


%install
%__make DESTDIR=%{buildroot} install

%__install -D -m 644 %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop
%if 0%{?suse_version}
%suse_update_desktop_file %{name} AudioVideo Recorder
%endif

%find_lang "%{name}"


%clean
%__rm -rf "%{buildroot}"


%files -f "%{name}.lang"
%defattr(-,root,root)
%{_bindir}/xvidcap
%{_datadir}/applications/%{name}.desktop
%dir %{_datadir}/dbus-1
%dir %{_datadir}/dbus-1/services
%{_datadir}/dbus-1/services/net.jarre_de_the.Xvidcap.service
%{_datadir}/omf/%{name}/%{name}-*.omf
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*
%{_datadir}/pixmaps/*.png
%dir %{_docdir}/%{name}
%{_docdir}/%{name}/*
%{_mandir}/man1/*
%{_mandir}/de/man1/*
%{_mandir}/es/man1/*
%{_mandir}/it/man1/*
%dir %{_datadir}/gnome
%dir %{_datadir}/gnome/help

%changelog
* Sun Jan 11 2009 Carsten Schoene <cs@linux-administrator.com> - 0.1.7-2
- initial import
